#
# spec file for package mate-menu
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   mate_menu
%define _rev    f42342bc3b49
Name:           mate-menu
Version:        17.10.6
Release:        1.1
Summary:        Advanced MATE menu
License:        GPL-2.0+
Group:          System/GUI/Other
Url:            https://bitbucket.org/ubuntu-mate/mate-menu
Source:         https://launchpad.net/ubuntu/+archive/primary/+files/%{name}_%{version}.orig.tar.gz
# PATCH-FEATURE-OPENSUSE mate-menu-yast2-software.patch sor.alexei@meowr.ru -- Use YaST2 and GNOME PackageKit package managers.
Patch0:         %{name}-yast2-software.patch
BuildRequires:  gobject-introspection-devel
BuildRequires:  intltool
BuildRequires:  python >= 2.7
BuildRequires:  python-distutils-extra
BuildRequires:  python-setuptools
BuildRequires:  update-desktop-files
Requires:       glib2-tools
Requires:       gvfs
Requires:       mate-menus
Requires:       mozo
Requires:       python-configobj
Requires:       python-gobject
Requires:       python-mate-menus
Requires:       python-setproctitle
Requires:       python-xdg
Requires:       python-xlib
Requires:       xdg-utils
Recommends:     %{name}-lang
Recommends:     lsb-release
BuildArch:      noarch
%glib2_gsettings_schema_requires
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
Requires:       python-gobject-Gdk
%endif

%description
An advanced menu for MATE. Supports filtering, favourites,
autosession, and many other features.

This menu originated in the Linux Mint distribution and has
been ported to other distributions that ship the MATE Desktop
Environment.

%lang_package

%prep
%setup -q -n ubuntu-mate-%{name}-%{_rev}
%patch0 -p1
sed -i 's/su-to-root/xdg-su/g' %{_name}/execute.py

%build
python2 setup.py build

%install
python2 setup.py install \
  --root=%{buildroot} --prefix=%{_prefix}

%py_compile %{buildroot}%{_datadir}/%{name}/plugins/
%find_lang %{name}

%post
%desktop_database_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc COPYING README.md
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{python_sitelib}/%{_name}/
%{python_sitelib}/%{_name}-*
%{_datadir}/%{name}/
%{_datadir}/glib-2.0/schemas/*
%dir %{_datadir}/mate-panel/
%dir %{_datadir}/mate-panel/applets/
%{_datadir}/mate-panel/applets/org.mate.panel.MateMenuApplet.mate-panel-applet
%dir %{_datadir}/dbus-1/
%dir %{_datadir}/dbus-1/services/
%{_datadir}/dbus-1/services/org.mate.panel.applet.MateMenuAppletFactory.service
%{_mandir}/man?/%{name}.?%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Jun 28 2017 sor.alexei@meowr.ru
- Update to version 17.10.6:
  * places: Fix desktop button.
  * Allow mate-menu to receive event reports from other windows.
- Remove mate-menu-17.10.5-desktop-button.patch.
* Sat Jun 17 2017 sor.alexei@meowr.ru
- Add mate-menu-17.10.5-desktop-button.patch: Fix desktop button in
  Places (commit 7f904dc).
* Sun Jun 11 2017 sor.alexei@meowr.ru
- Update to version 17.10.5 (changes since 17.10.3):
  * Fix arguments in launchers.
  * Sort applications by relevance when searching.
  * Add exception handling around pointer monitor and keybinder.
  * Revert to using "dock" type.
- Remove mate-menu-17.10.3-fix-launching.patch.
* Sun Jun 11 2017 sor.alexei@meowr.ru
- Update to version 17.10.3:
  * Add DuckDckGo as a web search engine option.
  * Make search engines configurable under
    Preferences -> Applications.
  * Fix missing drag-data-get event handler.
  * Fix launching menu editors.
- Add mate-menu-17.10.3-fix-launching.patch: Fix entries launching
  with arguments.
* Fri Jun  9 2017 sor.alexei@meowr.ru
- Update to version 17.10.2 (changes since 17.10.0):
  * Fix get_origin calls in older Gtk3.
  * Fix keybinding in older Gtk3.
  * Fix popup menus.
  * Fix race condition with dconf on session start.
  * Fix missing custom icon crashing mate-menu.
  * Fix bug where hotkey setting blocks usage in global
    keybindings.
  * Use the Gtk3 bookmarks location.
  * Add `PRELIGHT` state flags to all menu buttons while focused.
  * Fix DnD of favourites.
  * Replace ctypes with setproctitle.
  * Fix some deprecations.
  * Update translations.
* Sat Apr 29 2017 sor.alexei@meowr.ru
- Update to version 17.10.0:
  * Fix reordering of favourites.
  * Fix adding Menu to a left or right panel.
  * Drop Opacity support.
  * Update translations.
* Fri Mar 31 2017 sor.alexei@meowr.ru
- Update to version 17.04.3:
  * Menu icon: Scale SVG files to 22px to prevent them from getting
    too big.
  * Fix launching some Wine applications.
  * Better categories hovering state.
* Sun Mar 19 2017 sor.alexei@meowr.ru
- Update to version 17.04.2 (changes since 16.10.1):
  * Enforce the /usr prefix: code relies on it.
  * Build bytecode for scripts in /usr/lib/mate-menu/.
  * Replace galculator with mate-calc.
  * Try MenuLibre and fallback to Mozo.
  * Update translations.
* Wed Jun  8 2016 sor.alexei@meowr.ru
- Update to version 16.10.1:
  * Fix application popup menu.
  * Don't make huge separators in search suggestions.
  * Use a displayable icon for applet selector.
  * Make mate-menu aware of $XDG_CONFIG_HOME.
  * Have a system colour for the border.
  * Have more fallbacks for Terminal.
  * Add GNOME Software as a Package Manager option.
  * Sort available themes in Menu preferences->Theme.
  * Refresh the applications on icon-theme-changed.
- Remove 0001-xterm-no-symlink-dep.patch: fixed upstream.
- Rebase and rename 0002-yast2-software.patch to
  mate-menu-yast2-software.patch.
* Wed Jun  8 2016 sor.alexei@meowr.ru
- Update to version 16.10.0:
  * Port to Gtk3.
  * Don't crash if there's no PM to show.
  * Drop a broken "add to startup" feature.
- Rebase 0001-xterm-no-symlink-dep.patch, 0002-yast2-software.patch.
* Wed May  4 2016 sor.alexei@meowr.ru
- Add a missing python-gobject-Gdk dependency.
- Remove useless libmate-desktop-2-17, libmate-panel-applet-4-1
  dependencies.
* Thu Apr 28 2016 sor.alexei@meowr.ru
- Update to version 5.7.1:
  * Fix configuring a custom heading colour (lp#1560332).
  * Display the Software Boutique as package manager if it is
    available (lp#1568170).
  * Ensure the menu is always drawn over existing windows
    (lp#1569563)
- Rebase 0001-xterm-no-symlink-dep.patch, 0002-yast2-software.patch.
* Sat Apr  9 2016 sor.alexei@meowr.ru
- Update to version 5.7.0 (changes since 5.6.8):
  * Fix mate-menu.py being displayed (lp#1553313).
  * Change window hint to toolbar.
  * Update translations.
- Rebase and rename 0002-xterm-no-symlink-dep.patch to
  0001-xterm-no-symlink-dep.patch.
- Rebase 0002-yast2-software.patch.
* Thu Jan 28 2016 sor.alexei@meowr.ru
- Update to 5.6.8:
  * Fix a crash.
- Remove 0001-fix-path-find.patch: merged upstream.
* Mon Jan 18 2016 sor.alexei@meowr.ru
- Update to 5.6.7:
  * Fix intends in mate-menu execute.py.
  * Do not use mate-folder.png that doesn't exist in freedesktop
    specification.
  * Fix configurator crash due to changes in Gtk 2.24.29.
  * Do not crash if lsb_release is not available (boo#959024).
- Remove 0001-execute-fix.patch, 0001-recent-icon.patch,
  0003-fix-configurator-crash.patch: fixed upstream.
- Add 0001-fix-path-find.patch.
- Only recommend lsb-release.
* Mon Jan 11 2016 sor.alexei@meowr.ru
- Add missing lsb-release and python-gobject dependencies
  (boo#959024).
- Add 0003-fix-configurator-crash.patch: fix crash in mate-menu
  configurator.
* Sun Dec 20 2015 sor.alexei@meowr.ru
- Update to 5.6.6.
- Rebase 0001-execute-fix.patch and 0002-yast2-software.patch.
* Fri May  1 2015 sor.alexei@meowr.ru
- Update to 5.6.5a:
  * Remove utility scripts.
  * Update translations.
* Wed Apr  1 2015 sor.alexei@meowr.ru
- Update to 5.6.5:
  * Update translations.
* Tue Mar 17 2015 sor.alexei@meowr.ru
- Initial package.
